Datadog notification
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Datadog notification action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Datadog Action",
"type": "DATADOG",
"trigger_time": "ON_EVERY_EXECUTION",
"alert_type": "warning",
"variables": [
{
"key": "aggregationKey",
"value": "someValue"
}
],
"aggregation_key": "$aggregationKey",
"host": "linux",
"content": "And let me tell you all about it here!.",
"title": "Something big happened!",
"region": "EU1",
"tags": [
"version:1",
"application:web"
],
"integration": {
"identifier": "datadog"
}
}'STATUS200 OK